<?php
namespace Service\Mail;

use Service\Mail\BuildMail;

class GoalsMail {

    private $buildMail;

    public function __construct(BuildMail $buildMail){
        $this->buildMail = $buildMail;
        $this->baseDir = __DIR__.DIRECTORY_SEPARATOR.'EmailTemplates'.DIRECTORY_SEPARATOR;
    }

    public function sendMessageMail($to, $labelView, $dataSource, $lastUpdate,
                                    $labelGoal, $goal, $value, $userResponsible,
                                    $notificationText, $notifyCondition) { 
        $mailer = "zmart@teknisa.com";
        $date = date("d/m/Y");
        $subject = "Notificação de metas";
        $mailContext = $this->buildMessage($labelView, $dataSource, $lastUpdate,
            $labelGoal, $goal, $value, $userResponsible, $notificationText, $notifyCondition);
        $mail = $this->buildMail->setMessageMail($mailContext);
        $this->buildMail->sendHtml($to, $subject, $mail, $mailer);
    }

    public function buildMessage($labelView, $dataSource, $lastUpdate, $labelGoal,
                                 $goal, $value, $userResponsible, $notificationText, $notifyCondition) {
        $replacedContents = $this->buildMail->setMessage('goal_notification.html');
        $replacedContents = str_replace('%label_view%', $labelView, $replacedContents);
        $replacedContents = str_replace('%datasource%', $dataSource, $replacedContents);
        $replacedContents = str_replace('%last_update%', $lastUpdate, $replacedContents);
        $replacedContents = str_replace('%notify_condition%', $notifyCondition, $replacedContents);
        $replacedContents = str_replace('%label_goal%', $labelGoal, $replacedContents);
        $replacedContents = str_replace('%goal%', $goal, $replacedContents);
        $replacedContents = str_replace('%value%', $value, $replacedContents);
        $replacedContents = str_replace('%user_responsible%', $userResponsible, $replacedContents);
        $replacedContents = str_replace('%notificationText%', $notificationText, $replacedContents);

        return $replacedContents;
    }
}