/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_TIPOCONT                                                 */
/* Tabela : TIPOCONT                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 01/03/2007 - Rejane P. Leite                                               */
/*                                                                            */
/******************************************************************************/
CREATE OR REPLACE TRIGGER DTULTATU_TIPOCONT
BEFORE INSERT OR UPDATE OR DELETE
ON TIPOCONT FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUTPCO := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDTIPOCONT,0 )   <> NVL(:NEW.CDTIPOCONT,0)) OR
         (NVL(:OLD.NMTIPOCONT,0 )   <> NVL(:NEW.NMTIPOCONT,0)) OR
         (NVL(:OLD.NMTPCONTESPA,0 ) <> NVL(:NEW.NMTPCONTESPA,0)) OR
         (NVL(:OLD.NMTPCONTINGL,0 ) <> NVL(:NEW.NMTPCONTINGL,0)) THEN
         :NEW.DTULTATUTPCO := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('TIPOCONT', '','CDTIPOCONT='||:OLD.CDTIPOCONT||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE TIPOCONT MODIFY DTULTATUTPCO DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_TIPOCONT','5.03.010'); END;
/

